
$FreeBSD$

--- abills.sql.orig
+++ abills.sql
@@ -1,11 +1,11 @@
--- MySQL dump 8.22
+-- MySQL dump 9.11
 --
 -- Host: localhost    Database: stats
----------------------------------------------------------
--- Server version	3.23.53-log
+-- ------------------------------------------------------
+-- Server version	4.0.24
 
 --
--- Table structure for table 'accounts'
+-- Table structure for table `accounts`
 --
 
 CREATE TABLE accounts (
@@ -23,7 +23,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'acct_orders'
+-- Table structure for table `acct_orders`
 --
 
 CREATE TABLE acct_orders (
@@ -36,7 +36,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'actions'
+-- Table structure for table `actions`
 --
 
 CREATE TABLE actions (
@@ -51,7 +51,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'admin_permits'
+-- Table structure for table `admin_permits`
 --
 
 CREATE TABLE admin_permits (
@@ -61,7 +61,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'admins'
+-- Table structure for table `admins`
 --
 
 CREATE TABLE admins (
@@ -73,12 +73,12 @@
   aid smallint(6) unsigned NOT NULL auto_increment,
   permissions varchar(60) NOT NULL default '',
   PRIMARY KEY  (aid),
-  UNIQUE KEY id (id),
-  UNIQUE KEY aid (aid)
+  UNIQUE KEY aid (aid),
+  UNIQUE KEY id (id)
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'bill'
+-- Table structure for table `bill`
 --
 
 CREATE TABLE bill (
@@ -87,7 +87,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'calls'
+-- Table structure for table `calls`
 --
 
 CREATE TABLE calls (
@@ -112,7 +112,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'config'
+-- Table structure for table `config`
 --
 
 CREATE TABLE config (
@@ -122,7 +122,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'docs_acct'
+-- Table structure for table `docs_acct`
 --
 
 CREATE TABLE docs_acct (
@@ -139,7 +139,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'dunes'
+-- Table structure for table `dunes`
 --
 
 CREATE TABLE dunes (
@@ -151,7 +151,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'exchange_rate'
+-- Table structure for table `exchange_rate`
 --
 
 CREATE TABLE exchange_rate (
@@ -164,7 +164,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'fees'
+-- Table structure for table `fees`
 --
 
 CREATE TABLE fees (
@@ -184,7 +184,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'filters'
+-- Table structure for table `filters`
 --
 
 CREATE TABLE filters (
@@ -196,7 +196,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'groups'
+-- Table structure for table `groups`
 --
 
 CREATE TABLE groups (
@@ -209,7 +209,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'holidays'
+-- Table structure for table `holidays`
 --
 
 CREATE TABLE holidays (
@@ -219,7 +219,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'icards'
+-- Table structure for table `icards`
 --
 
 CREATE TABLE icards (
@@ -235,7 +235,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'intervals'
+-- Table structure for table `intervals`
 --
 
 CREATE TABLE intervals (
@@ -248,7 +248,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'ippools'
+-- Table structure for table `ippools`
 --
 
 CREATE TABLE ippools (
@@ -260,7 +260,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'log'
+-- Table structure for table `log`
 --
 
 CREATE TABLE log (
@@ -285,7 +285,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'mail_access'
+-- Table structure for table `mail_access`
 --
 
 CREATE TABLE mail_access (
@@ -297,7 +297,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'mail_aliases'
+-- Table structure for table `mail_aliases`
 --
 
 CREATE TABLE mail_aliases (
@@ -313,7 +313,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'mail_boxes'
+-- Table structure for table `mail_boxes`
 --
 
 CREATE TABLE mail_boxes (
@@ -338,7 +338,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'mail_domains'
+-- Table structure for table `mail_domains`
 --
 
 CREATE TABLE mail_domains (
@@ -353,7 +353,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'mail_transport'
+-- Table structure for table `mail_transport`
 --
 
 CREATE TABLE mail_transport (
@@ -363,7 +363,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'message_types'
+-- Table structure for table `message_types`
 --
 
 CREATE TABLE message_types (
@@ -374,7 +374,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'messages'
+-- Table structure for table `messages`
 --
 
 CREATE TABLE messages (
@@ -393,7 +393,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'nas'
+-- Table structure for table `nas`
 --
 
 CREATE TABLE nas (
@@ -412,7 +412,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'networks'
+-- Table structure for table `networks`
 --
 
 CREATE TABLE networks (
@@ -426,12 +426,13 @@
   mac varchar(18) NOT NULL default '',
   id int(11) unsigned NOT NULL auto_increment,
   status tinyint(2) unsigned NOT NULL default '0',
+  web_control varchar(21) default NULL,
   PRIMARY KEY  (ip,netmask),
   UNIQUE KEY id (id)
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'payment'
+-- Table structure for table `payment`
 --
 
 CREATE TABLE payment (
@@ -451,7 +452,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 's_detail'
+-- Table structure for table `s_detail`
 --
 
 CREATE TABLE s_detail (
@@ -470,7 +471,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'shedule'
+-- Table structure for table `shedule`
 --
 
 CREATE TABLE shedule (
@@ -491,7 +492,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'trafic_tarifs'
+-- Table structure for table `trafic_tarifs`
 --
 
 CREATE TABLE trafic_tarifs (
@@ -509,7 +510,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'userlog'
+-- Table structure for table `userlog`
 --
 
 CREATE TABLE userlog (
@@ -526,7 +527,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'users'
+-- Table structure for table `users`
 --
 
 CREATE TABLE users (
@@ -564,7 +565,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'users_nas'
+-- Table structure for table `users_nas`
 --
 
 CREATE TABLE users_nas (
@@ -574,17 +575,17 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'variant'
+-- Table structure for table `variant`
 --
 
 CREATE TABLE variant (
   vrnt smallint(5) unsigned NOT NULL default '0',
-  hourp float(10,5) default '0.00000',
-  abon float(10,2) default '0.00',
-  kb float(10,5) default '0.00000',
+  hourp float(10,5) unsigned NOT NULL default '0.00000',
+  abon float(10,2) unsigned NOT NULL default '0.00',
+  kb float(10,5) unsigned default '0.00000',
   uplimit float(10,2) default '0.00',
   name varchar(40) NOT NULL default 'ڦ',
-  df float(10,2) default NULL,
+  df float(10,2) unsigned default NULL,
   ut time NOT NULL default '24:00:00',
   dt time NOT NULL default '00:00:00',
   logins tinyint(4) NOT NULL default '0',
@@ -597,14 +598,14 @@
   prepaid_trafic int(10) unsigned NOT NULL default '0',
   change_price float(8,2) unsigned NOT NULL default '0.00',
   activate_price float(8,2) unsigned NOT NULL default '0.00',
-  credit_tresshold double(6,2) NOT NULL default '0.00',
+  credit_tresshold double(6,2) unsigned NOT NULL default '0.00',
   PRIMARY KEY  (vrnt),
   UNIQUE KEY name (name),
   UNIQUE KEY vrnt (vrnt)
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'vid_nas'
+-- Table structure for table `vid_nas`
 --
 
 CREATE TABLE vid_nas (
@@ -614,7 +615,7 @@
 ) TYPE=MyISAM;
 
 --
--- Table structure for table 'web_online'
+-- Table structure for table `web_online`
 --
 
 CREATE TABLE web_online (
