
$FreeBSD$

--- cgi-bin/users.cgi.orig
+++ cgi-bin/users.cgi
@@ -124,6 +124,13 @@
    '2:msgs', $_MESSAGES,
    '1:stats', $_STATS
    );
+ 
+ 
+
+ 
+ if ($conf{user_chg_passwd} eq 'yes') {
+ 	 $main_menu{'5:passwd'}="$_PASSWD";
+  }
 
  my @menu_keys = sort keys %main_menu;
 
@@ -156,6 +163,9 @@
       	show_user_accounts($uid);
        }
    }
+  elsif($op eq 'passwd') {
+  	 chg_password($uid);
+   }
   else {
     #$login = get_login($uid);
     user_stats($login);
@@ -165,24 +175,72 @@
 
 
 #*******************************************************************
+# chg_password($uid);
+#*******************************************************************
+sub chg_password {
+ my ($uid) = @_;
+
+print "<h3>$_PASSWD</h3>\n";
+
+
+if ($FORM{change}) {
+  if (length($FORM{password}) < $conf{passwd_length}) {
+     message('err', $_ERROR, "$ERR_SHORT_PASSWD");
+   }
+  elsif ($FORM{password} ne $FORM{confirm}) {
+     message('err', $_ERROR, "$ERR_WRONG_CONFIRM");
+   }
+  else {
+    my $sql = "UPDATE users SET password=ENCODE('$FORM{password}', '$conf{secretkey}')
+       WHERE uid='$uid';";
+    log_print('LOG_SQL', $sql);
+     $q = $db->do($sql) || die $db->strerr;
+    message('info', $_CHANGE_PASSWD, "$_CHANGED");
+   }
+  return 0;	
+}
+
+
+print << "[END]";
+<form action=$SELF METHOD=POST>
+<input type=hidden name=op value=passwd>
+<input type=hidden name=uid value=$uid>
+<input type=hidden name=sid value=$sid>
+
+<TABLE width=400 cellspacing=0 cellpadding=0 border=0><TR><TD bgcolor=$_BG4>
+<TABLE width=100% cellspacing=1 cellpadding=0 border=0><TR><TD bgcolor=$_BG1>
+<TABLE width=100% cellspacing=0 cellpadding=0 border=0>
+<tr><td>$_PASSWD:</td><td><input type=password name=password value=''></td></tr>
+<tr><td>$_CONFIRM:</td><td><input type=password name=confirm value=''></td></tr>
+</table>
+</td></tr></table>
+</td></tr></table>
+</table>
+<input type=submit name=change value='$_CHANGE'>
+</form>
+[END]
+}
+
+#*******************************************************************
 # user_stats($uid)
 #*******************************************************************
 sub user_stats {
- my $uid = shift;
+ my $u_name = shift;
  my $show = '';
  
-$sql = "select u.variant, u.credit, u.deposit, u.speed, v.name, u.activate, u.expire
+$sql = "select u.uid, u.variant, u.credit, u.deposit, u.speed, v.name, u.activate, u.expire
  from users u,  variant v 
- where u.variant=v.vrnt and u.id='$uid'";
+ where u.variant=v.vrnt and u.id='$u_name'";
 
 my $q = $db->prepare("$sql");
 $q->execute();
-my ($variant, $debt, $money, $speed, $v_name, $activate, $expire) = $q->fetchrow_array();
+my ($uid, $variant, $debt, $money, $speed, $v_name, $activate, $expire) = $q->fetchrow_array();
 $q->finish;
 
 my $q = $db->prepare("select date, sum from payment where uid='$uid' ORDER BY date DESC LIMIT 1;");
 $q->execute();
 my ($pdate, $psum) = $q->fetchrow_array() if ($q->rows > 0);
+
 $q->finish;
 
 my $speed = ($speed > 0) ? "<tr bgcolor=$_BG1><td><b>$_SPEED:</b></td><td>$speed Kbit/set</td></tr>\n" : '' ;
@@ -190,7 +248,7 @@
 print "<TABLE width=400 cellspacing=0 cellpadding=0 border=0>
   <TR><TD bgcolor=$_BG4>
   <TABLE width=100% cellspacing=1 cellpadding=0 border=0>
-<tr bgcolor=$_BG1><td><b>$_USER:</b></td><td>$uid</td></tr>
+<tr bgcolor=$_BG1><td><b>$_USER:</b></td><td>$u_name</td></tr>
 <tr bgcolor=$_BG1><td><b>$_CREDIT:</b></td><td align=right><!--CREDIT_BEGIN-->$debt<!--CREDIT_END--></td></tr>
 <tr bgcolor=$_BG1><td><b>$_BALANCE:</b></td><td align=right><!--DEPOSIT_BEGIN-->$money<!--DEPOSIT_END--></td></tr>
 <tr bgcolor=$_BG1><td><b>$_VARIANT:</b></td><td>$variant ($v_name)</td></tr>
@@ -213,7 +271,7 @@
  INET_NTOA(framed_ip_address),
  CID
  from calls 
- WHERE user_name='$uid' and (status=1 or status>=3);";
+ WHERE user_name='$u_name' and (status=1 or status>=3);";
  
 $q = $db->prepare("$sql");
 $q->execute();
@@ -261,7 +319,7 @@
   SEC_TO_TIME(sum(if(date_format(login, '%Y-%m')=date_format(curdate(), '%Y-%m'), duration, 0))),
   
   sum(sent), sum(recv), SEC_TO_TIME(sum(duration))
-FROM log WHERE id='$uid';") || die $db->strerr;
+FROM log WHERE id='$u_name';") || die $db->strerr;
   $q -> execute ();
  print "<table width=640 border=0 cellspacing=0 cellpadding=0><tr><td bgcolor=000000>
  <table width=100% border=0 cellspacing=1 cellpadding=2><tr><td bgcolor=FFFFFF>\n";
@@ -325,7 +383,7 @@
  <td><input type=submit name=show value=$_SHOW></td></tr></table>
  </form>\n";
 
-my $WHERE = "WHERE id='$uid' ";
+my $WHERE = "WHERE id='$u_name' ";
 
 if (defined($FORM{show})) {
   $show = "&show=y&rows=$max_recs&fromd=$FORM{fromd}&fromm=$FORM{fromm}&fromy=$FORM{fromy}&tod=$FORM{tod}&tom=$FORM{tom}&toy=$FORM{toy}";
@@ -469,6 +527,7 @@
   return 0;
  }
 elsif (length($sid) > 1) {
+
   if (defined($h{$sid})) {
     ($uid, $time, $login, $ip)=split(/:/, $h{$sid});
     my $cur_time = time;
